version: "3"
services:
  redis:
    image: redis:latest
    restart: "always"
    container_name: "redis"
    ports:
      - "6379:6379"
    volumes:
      - ./redis.conf:/etc/redis/redis.conf
      - ./data:/data
      - ./logs:/logs
    command: redis-server /etc/redis/redis.conf
    privileged: true

  asynqmon:
    image: hibiken/asynqmon:latest
    container_name: asynqmon_asynq
    ports:
      - 8080:8080
    command:
      - '--redis-addr=redis:6379'
      - '--redis-db=0'
    restart: always
    depends_on:
      - redis